﻿.form-label-group > input,
.form-label-group > label {
    padding: 7% 4% 1%;
    height: auto;
}


.form-label-group input:not(:-ms-input-placeholder) {
    padding: 7% 4% 1%;
    /*padding-bottom: calc(var(--input-padding-y) / 3);*/
}

    .form-label-group input:not(:-ms-input-placeholder) ~ label {
        padding: 1% 4% 0%;
        font-size: 12px;
        color: #777;
    }

.form-label-group input:focus ~ label {
    padding: 1% 4% 0%;
    font-size: 12px;
    color: #777;
}




textarea {
    resize: none;
    overflow: hidden;
    /*min-height: 50px;*/
    max-height: 100px;
}


.sombra-Roja {
    border-color: #ff0000;
    box-shadow: 0 0 0 0.2rem rgba(255, 0, 0, 0.25);
}

.cursor_Mano {
    cursor: pointer !important;
}

.cursor_flecha {
    cursor: default !important;
}




/*sobreescribir clases bootstrap*/



/*.page-item.active .page-link {
    z-index: 1;
    color: #fff;
    background-color: #4088af;
    border-color: #4088af;
}*/

/*.btn-primary {
    color: #fff;
    background-color: #4088af;
    border-color: #4088af;
}*/

/*.btn-primary:hover {
        color: #fff;
        background-color: #447894;
        border-color: #447894;
    }*/

/*.btn-primary:active {
        color: #fff;
        background-color: #447894;
        border-color: #447894;
    }*/

.btn-success {
    color: #fff;
    background-color: #377d47;
    border-color: #377d47;
}

    .btn-success:hover {
        color: #fff;
        background-color: #2d6339;
        border-color: #2d6339;
    }

.btn-secondary {
    color: #fff;
    background-color: #6e707e;
    border-color: #6e707e;
}

    .btn-secondary:hover {
        color: #fff;
        background-color: #949da5;
        border-color: #949da5;
    }


.page-link {
    position: relative;
    display: block;
    padding: 0.5rem 0.75rem;
    margin-left: -1px;
    line-height: 1.25;
    color: #4088af;
    background-color: #fff;
    border: 1px solid #dee2e6;
}

a {
    color: #447894;
    text-decoration: none;
    background-color: transparent;
}

.dropdown-item:hover, .dropdown-item:focus {
    color: #16181b;
    text-decoration: none;
    background-color: #CCCDCF;
}


.dropdown-item.active, .dropdown-item:active {
    color: #fff;
    text-decoration: none;
    background-color: #0070ba;
}

.tamanoModal-Ancho {
    max-width: 80%
}

.tamanoModal-Mas-Ancho {
    max-width: 90%;
}


.tamanoModal-Mediano {
    max-width: 46%
}

.tamanoModal-Mini {
    max-width: 30%
}

.thEstilo {
    padding: 2.5px;
    text-align: center;
}

.texto_Centro {
    text-align: center;
}

.texto_Izquierda {
    text-align: left;
}

.texto_Derecha {
    text-align: right;
}

.centrado {
    margin: 0 auto;
}

body, .table, .form-control, .form-control:focus {
    color: black;
}


.sidebar .nav-item .nav-link span {
    font-size: 1rem;
    display: inline;
}

.breadcrumb-item.active {
    color: #474952;
}

a {
    color: black;
    text-decoration: none;
    background-color: transparent;
}

/*.bg-info, .btn-info {
    background-color: #1A6065 !important;
}*/


/*li.disabled.paginate_button > a {
    color: #1A6065 !important;
    font-weight: bold;
}*/

/*li.active.paginate_button > a {
    font-weight: bold;
    background-color: #1A6065 !important;
}*/

.btn-secondary {
    color: #fff;
    background-color: #6e707e;
    border-color: #6e707e;
}

.btn-danger {
    color: #fff;
    background-color: #a9473e;
    border-color: #a9473e;
}

    .dangerSinOpacidad {
        color: #fff !important;
        background-color: #a9473e !important;
        border-color: #a9473e !important;
        opacity: 1 !important;
    }
  

input[type="checkbox" i] {
    background-color: initial;
    cursor: default;
    -webkit-appearance: checkbox;
    box-sizing: border-box;
    margin: 3px 3px 3px 4px;
    padding: initial;
    border: initial;
}

.check, .radio {
    height: 20px;
    width: 20px;
    position: relative;
    border-color: #d4de4e !important;
}

    .check:after, .radio:after {
        /*content: '\00D7';*/
        display: block;
        background: white;
        font-family: 'FontAwesome';
        content: "\f005";
        background-image: url(../Imagenes/basics-21-32.png);
        pointer-events: none;
        font-size: 15px;
        position: absolute;
        top: 0;
        left: 0;
        height: 20px;
        width: 20px;
        color: transparent;
        transition: .25s all ease-in-out;
        border-radius: 3px;
        line-height: 15px;
        background-position: 0 15px;
        background-repeat: no-repeat;
        background-size: 15px 15px;
        border-width: 2px;
        border-style: solid;
        border-color: #0070ba !important;
        /*border-color: transparent;*/
    }

    .radio:after {
        border-radius: 50%;
    }

    .check:checked:after, .radio:checked:after {
        background-color: #0070ba !important;
        background-position: 0 0;
    }

/*.check:hover:after, .radio:hover:after {
        border-color: #1A6065;
    }*/

.helper {
    color: #CCC;
    font-family: sans-serif;
    position: absolute;
    bottom: 0;
    display: block;
    width: 100%;
    text-align: center;
}


/*Ajustar tamano del html a label pantalla 100%*/
.ajustarModal {
    line-height: 1.17 !important;
}


.ajustarPadingTabla td, .ajustarPadingTabla th {
    padding: 0.75rem 0 !important;
    vertical-align: top !important;
    border-top: 1px solid #e3e6f0 !important;
}



/*modal con scrollBar*/
.modal-body {
    max-height: calc(100vh - 150px);
    overflow-y: auto;
}

.padding_Personalizado {
    padding: 0.75rem 0 !important;
}


.dataTables_wrapper {
    width: 100%;
}

.no-marginLR {
    margin-left: 0;
    margin-right: 0;
}


select option[disabled]:first-child {
    display: none;
}